org.jbpm.process.instance.timer

## Class TimerManager

- java.lang.Object
- - org.jbpm.process.instance.timer.TimerManager

-     public class TimerManager
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimerManager.OverdueTrigger` Overdue aware trigger that introduces fixed delay to allow completion of session initialization
    `static class` | `TimerManager.ProcessJob`
    `static class` | `TimerManager.ProcessJobContext`
    `static class` | `TimerManager.ProcessTimerInputMarshaller`
    `static class` | `TimerManager.ProcessTimerOutputMarshaller`
    `static class` | `TimerManager.StartProcessJob`
    `static class` | `TimerManager.StartProcessJobContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.drools.core.time.Job` | `processJob`
    `static org.drools.core.time.Job` | `startProcessJob`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerManager(org.drools.core.common.InternalKnowledgeRuntime kruntime, org.drools.core.time.TimerService timerService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelTimer(long timerId)`
    `void` | `dispose()`
    `Map<Long,TimerInstance>` | `getTimerMap()`
    `Collection<TimerInstance>` | `getTimers()`
    `org.drools.core.time.TimerService` | `getTimerService()`
    `void` | `internalAddTimer(TimerInstance timer)`
    `long` | `internalGetTimerId()`
    `void` | `internalSetTimerId(long timerId)`
    `void` | `registerTimer(TimerInstance timer, ProcessInstance processInstance)`
    `void` | `registerTimer(TimerInstance timer, String processId, Map<String,Object> params)`
    `void` | `setTimerService(org.drools.core.time.TimerService timerService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### processJob

          public static final org.drools.core.time.Job processJob

    - #### startProcessJob

          public static final org.drools.core.time.Job startProcessJob

  - ### Constructor Detail

    - #### TimerManager

          public TimerManager(org.drools.core.common.InternalKnowledgeRuntime kruntime,
                              org.drools.core.time.TimerService timerService)

  - ### Method Detail

    - #### registerTimer

          public void registerTimer(TimerInstance timer,
                                    ProcessInstance processInstance)

    - #### registerTimer

          public void registerTimer(TimerInstance timer,
                                    String processId,
                                    Map<String,Object> params)

    - #### internalAddTimer

          public void internalAddTimer(TimerInstance timer)

    - #### cancelTimer

          public void cancelTimer(long timerId)

    - #### dispose

          public void dispose()

    - #### getTimerService

          public org.drools.core.time.TimerService getTimerService()

    - #### getTimers

          public Collection<TimerInstance> getTimers()

    - #### getTimerMap

          public Map<Long,TimerInstance> getTimerMap()

    - #### internalGetTimerId

          public long internalGetTimerId()

    - #### internalSetTimerId

          public void internalSetTimerId(long timerId)

    - #### setTimerService

          public void setTimerService(org.drools.core.time.TimerService timerService)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.